VST 3 Interfaces VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | Static Public Attributes | List of all members
IContextMenu Class Referenceabstract
VST 3 Interfaces to be implemented by the Host | VST 3 Interfaces defined in version 3.5.0

Context Menu Interface. More...

`#include <ivstcontextmenu.h>`

Inheritance diagram for IContextMenu:

## Public Types
typedef IContextMenuItem | Item

## Public Member Functions
virtual int32 | getItemCount ()=0
| Gets the number of menu items. More...
virtual tresult | getItem (int32 index, Item &item, IContextMenuTarget **target)=0
| Gets a menu item and its target (target could be not assigned). More...
virtual tresult | addItem (const Item &item, IContextMenuTarget *target)=0
| Adds a menu item and its target. More...
virtual tresult | removeItem (const Item &item, IContextMenuTarget *target)=0
| Removes a menu item. More...
virtual tresult | popup (UCoord x, UCoord y)=0
| Pop-ups the menu. More...
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Context Menu Interface.

- [host imp]
- [create with IComponentHandler3::createContextMenu(..)]
- [released: 3.5.0]

A context menu is composed of Item (entry). A Item is defined by a name, a tag, a flag and a associated target (called when this item will be selected/executed). With IContextMenu the Plug-in can retrieve a Item, add a Item, remove a Item and pop-up the menu.

See IComponentHandler3 for more.

## Member Typedef Documentation

typedef IContextMenuItem Item

## Member Function Documentation

virtual int32 getItemCount | ( |  | ) |
| pure virtual

Gets the number of menu items.

virtual tresult getItem | ( | int32 | index,
|  | Item & | item,
|  | IContextMenuTarget ** | target
| ) |  |
| pure virtual

Gets a menu item and its target (target could be not assigned).

virtual tresult addItem | ( | const Item & | item,
|  | IContextMenuTarget * | target
| ) |  |
| pure virtual

Adds a menu item and its target.

virtual tresult removeItem | ( | const Item & | item,
|  | IContextMenuTarget * | target
| ) |  |
| pure virtual

Removes a menu item.

virtual tresult popup | ( | UCoord | x,
|  | UCoord | y
| ) |  |
| pure virtual

Pop-ups the menu.

Coordinates are relative to the top-left position of the Plug-ins view.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.